## Name

brlcad-config — script to get information about the installed version of BRL-CAD

## Synopsis

`brlcad-config` [ --prefix [`=DIR`]] [--libs ] [--cflags ] [--version ] [--help ]

## DESCRIPTION

brlcad-config is a script that describes the compile and linker flags that should be used to compile and link programs that use BRL-CAD's libraries.

## OPTIONS

brlcad-config

  accepts the following options:

`--prefix=PREFIX`

  If specified, use the provided installation PREFIX instead of the prefix that BRL-CAD was compiled with when providing the output for the other brlcad-config script options.

`--libs`

  Prints out library linker flags that are generally needed when creating a program that links to BRL-CAD libraries.

`--cflags`

  Prints out compilation flags that are generally needed when creating a program that refers to BRL-CAD headers.

`--version`

  Prints out the version of BRL-CAD that is installed.

`--help`

  Display usage.

## SEE ALSO

brlcad(1), libbu(3), libbn(3), librt(3), libwdb(3).

## BUGS

No bugs known for brlcad-config.

## AUTHOR

Christopher Sean Morrison

## COPYRIGHT

This software is Copyright (c) 2007-2013 United States Government as represented by the U.S. Army Research Laboratory. All rights reserved.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.